<?php

// extended parameters for 
// simpleviewer module

/*
Option Name  	Default Value  	Description
maxImageWidth 	480 	Width of the widest image in the gallery. Used to determine the best layout for your gallery (pixels).
maxImageHeight 	480 	Height of tallest image in the gallery. Used to determine the best layout for your gallery (pixels).
textColor 	0xFFFFFF 	Color of title and caption text (hexidecimal color value).
frameColor 	0xFFFFFF 	Color of image frame, navigation buttons and thumbnail frame (hexidecimal color value).
frameWidth 	20 	Width of image frame (pixels).
stagePadding 	40 	Width of padding around gallery edge (pixels). To have the image flush to the edge of the swf, set this to 0.
navPadding 	40 	Distance between image and thumbnails (pixels).
thumbnailColumns 	3 	Number of thumbnail columns. To disable thumbnails completely set this value to 0
thumbnailRows 	3 	Number of thumbnail rows. To disable thumbnails completely set this value to 0.
navPosition 	left 	Position of thumbnails relative to image. Can be "top", "bottom","left" or "right".
vAlign 	center 	Vertical placment of the image and thumbnails within the SWF. Can be "center", "top" or "bottom".
				For large format galleries this is best set to "center". For small format galleries setting this to "top" or "bottom" can help get the image flush to the edge of the swf.
hAlign 	center 	Horizontal placement of the image and thumbnails within the SWF. Can be "center", "left" or "right".
				For large format galleries this is best set to "center". For small format galleries setting this to "left" or "right" can help get the image flush to the edge of the swf.
title 	SimpleViewer Gallery 	Text to display as gallery Title
enableRightClickOpen 	true 	Whether to display a 'Open In new Window...' dialog when right-clicking on an image. Can be "true" or "false"
backgroundImagePath 	  	Relative or absolute path to a JPG or SWF to load as the gallery background.
				Relative paths are relative to the HTML document that contains SimpleViewer. For example: "images/bkgnd.jpg".
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

$navPosition = array( l10n('SV_top'), l10n('SV_bottom'), l10n('SV_left'), l10n('SV_rigt'));
$vAlign = array( l10n('SV_top'), l10n('SV_center'), l10n('SV_bottom'));
$hAlign = array( l10n('SV_left'), l10n('SV_center'), l10n('SV_rigt'));

// default values
if (!isset($ext_datas)) $ext_datas = array(
		'maxImageWidth'			=> "480", 
		'maxImageHeight'		=> "480" ,
		'textColor'				=> "0xFFFFFF" ,
		'frameColor'			=> "0xFFFFFF" ,
		'frameWidth'			=> "20" ,
		'stagePadding'			=> "40" ,
		'navPadding'			=> "40" ,
		'thumbnailColumns'		=> "3" ,
		'thumbnailRows'			=> "3" ,
		'navPosition'			=> 3, //"left" ,
		'vAlign'				=> 2, //"center" ,
		'hAlign'				=> 2, //"center" ,
		'title'					=> "SimpleViewer Gallery" ,
		'enableRightClickOpen'	=> true ,
		'backgroundImagePath'	=> "" );


// Enregistrement de la configuration
if (isset($_POST['submit']) and !is_adviser())
{

	foreach ($ext_datas as $key =>$value)
	{
		if ($key == "enableRightClickOpen")
			$ext_datas[$key] = isset($_POST['SV_'.$key]);
		else
			$ext_datas[$key] = $_POST['SV_'.$key];
	}
}

foreach ($ext_datas as $key => $value)
{

	if ($key == "enableRightClickOpen")
		$template->assign(array( 'SV_'.$key => (isset($ext_datas[$key]) ? 'checked="checked"': '')));
	elseif ($key == "navPosition")
	{
		$i=1;
		foreach ( $navPosition as $order ) //on parcours le tableau 
		{
			$template->append('SV_NavPosition',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['navPosition'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	elseif ($key == "vAlign")
	{
		$i=1;
		foreach ( $vAlign as $order ) //on parcours le tableau 
		{
			$template->append('SV_vAlign',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['vAlign'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	elseif ($key == "hAlign")
	{
		$i=1;
		foreach ( $hAlign as $order ) //on parcours le tableau 
		{
			$template->append('SV_hAlign',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['hAlign'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	else
		$template->assign(array( 'SV_'.$key => $ext_datas[$key]));

}
/*
$template->append('head_elements','
			<script type="text/javascript" src="'.PHPWG_PLUGINS_PATH.'AddThis/farbtastic/farbtastic.js"></script>
			<link href="'.PHPWG_PLUGINS_PATH.'AddThis/farbtastic/farbtastic.css" rel="stylesheet" type="text/css"  />');
*/
$template->assign(array('OTHERS_SCRIPT' =>
			'<script type="text/javascript" src="'.FLASHGAL_PATH.'farbtastic/farbtastic.js"></script>
			<link href="'.FLASHGAL_PATH.'farbtastic/farbtastic.css" rel="stylesheet" type="text/css"  />'));

$template->set_filenames(array('module_options' => dirname(__FILE__) . '/config.tpl'));
$template->assign_var_from_handle('MODULE_OPTIONS', 'module_options');

?>